Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362556 - Old builds are not deleted
Summary: Old builds are not deleted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: copr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 13:42 UTC by Lubomír Sedlář
Modified: 2016-09-14 02:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-14 02:29:38 UTC


Attachments (Terms of Use)

Description Lubomír Sedlář 2016-08-02 13:42:24 UTC
I have a couple projects with old builds that should be deleted, but they are not. They are in the list (which is correct), but the RPMs are still available too (and they probably should not be).

https://copr.fedorainfracloud.org/coprs/lsedlar/entr/
latest build is 392916 (14 days old)
167488 still exists (4 months old)

https://copr.fedorainfracloud.org/coprs/lsedlar/poor-man-ci/
latest build is 428658 (4 days old)
166500 still exists (4 months old)

I don't mind having old packages available, but you may want to look into it to reclaim some disk space.

Comment 1 clime 2016-08-09 12:13:08 UTC
Some of the project were skipped because frontend was not available the whole time during the script execution and the backend asks for each project about state of "auto_createrepo" property. If auto_createrepo is false (manual createrepo is enabled), then the project is also skipped for deletion.

The old builds should disappear next time the script is run.

Comment 2 clime 2016-09-14 02:29:38 UTC
Checked that builds were deleted so closing this.


Note You need to log in before you can comment on or make changes to this bug.